spec:
  inputs:
    stage:
      default: validate
---

include:
  - local: .gitlab-ci-other-versions.yml

yamllint:
  stage: $[[ inputs.stage ]]
  needs: []
  image:
    name: python:3.12
    entrypoint: [""]
  script:
    - pip3 install "yamllint==${GL_COMMON_CI_TASKS_YAMLLINT_VERSION}"
    - yamllint -f parsable .
  after_script: |
    cat <<-EOD
    ----------------------------------------------------------
    Need help? Documentation on the yamllint CI job can be found at:
    https://gitlab.com/gitlab-com/gl-infra/common-ci-tasks/-/blob/main/yamllint.md
    EOD
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: 'never'
    - if: '($CI_PIPELINE_SOURCE == "merge_request_event") || ($CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH)'
      exists:
        - .yamllint.yaml
